MGASA-2021-0503 - Updated libesmtp packages fix security vulnerability

Publication date: 10 Nov 2021
URL: https://advisories.mageia.org/MGASA-2021-0503.html
Type: security
Affected Mageia releases: 8
CVE: CVE-2019-19977

libESMTP through 1.0.6 mishandles domain copying into a fixed-size buffer
in ntlm_build_type_2 in ntlm/ntlmstruct.c, as demonstrated by a stack-based
buffer over-read. (CVE-2019-19977)

References:
- https://bugs.mageia.org/show_bug.cgi?id=29416
- https://lists.suse.com/pipermail/sle-security-updates/2021-August/009358.html
- https://lists.opensuse.org/archives/list/[email protected]/thread/TGZ4L5IPYNOJTWC7WZTAMPSFHIGKXQAE/
- https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-19977

SRPMS:
- 8/core/libesmtp-1.0.6-12.1.mga8